(require (lib "process.ss")) ;;allows "process"
(require (lib "include.ss"))

(load "projects.conf")


;;;note: set "open in tabs" under preferences

(define (open-sub-project file-list)
  (process
   (apply string-append 
          `("drscheme "
            ,@(map (lambda (x) (string-append x " "))
                   (map symbol->string (reverse file-list)))
          ;"&"
            )))
  void)



(define (launch-gui)
  (display "loading gui... hope you have guibuilder installed!")
  (load "projects.gui.scm"))
  
(begin 
  (map 
   display 
   (list "Welcome to Mrproject:" #\newline       
         "You need to set your preferences to \"open in tabs\" under "
         "edit->preferences->edit->general.  After that, Mrproject will load all the files of a subproject in a single frame" #\newline #\newline 
         "    * To open a project type (open-sub-project {projectname})" #\newline 
         "    * To add or edit a project profile open the project-manager project, via:" #\newline 
         "                (open-sub-project project-manager)" #\newline 
         #\newline 
         "also a Gui can be launched via \"(launch-gui)\", but only if you have guibuilder installed" #\newline 
         "the gui can also be edited by opening the project manager"
         ))
  (let ((nothing-really #f)) 
    (set! nothing-really #t)));;; forces no return value


;(open-sub-project project-manager)
;(open-sub-project new-project)

;(launch-gui)



;(open-sub-project beans)
